Bug 155826 - Web Inspector: Use font-variant-numeric: tabular-nums instead of -apple-system-monospaced-numbers
Summary: Web Inspector: Use font-variant-numeric: tabular-nums instead of -apple-syste...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nikita Vasilyev
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-03-23 19:17 PDT by Timothy Hatcher
Modified: 2016-03-28 11:01 PDT (History)
9 users (show)

See Also:


Attachments
Patch (3.56 KB, patch)
2016-03-26 23:58 PDT, Nikita Vasilyev
mmaxfield: review+
Details | Formatted Diff | Diff
Patch for Landing (3.56 KB, patch)
2016-03-28 10:01 PDT, Timothy Hatcher
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Hatcher 2016-03-23 19:17:31 PDT
We should be a good citizen and use font-variant-numeric. Myles plans to remove -apple-system-monospaced-numbers at some point.
Comment 1 Radar WebKit Bug Importer 2016-03-23 19:17:47 PDT
<rdar://problem/25330631>
Comment 2 Nikita Vasilyev 2016-03-26 23:53:53 PDT
Should I remove -apple-system-monospaced-numbers from CSS autocompletion list as well?
Comment 3 Nikita Vasilyev 2016-03-26 23:56:57 PDT
We currently don't autocomplete font-variant-numeric at all.
Which values do we support?
Comment 4 Nikita Vasilyev 2016-03-26 23:58:28 PDT
Created attachment 274997 [details]
Patch
Comment 5 Myles C. Maxfield 2016-03-27 07:17:58 PDT
(In reply to comment #2)
> Should I remove -apple-system-monospaced-numbers from CSS autocompletion
> list as well?

Yes, Please.
Comment 6 Myles C. Maxfield 2016-03-27 07:20:15 PDT
(In reply to comment #3)
> We currently don't autocomplete font-variant-numeric at all.
> Which values do we support?

All of them. https://developer.mozilla.org/en-US/docs/Web/CSS/font-variant-numeric
Comment 7 Nikita Vasilyev 2016-03-27 21:20:17 PDT
I created bug 155941: Web Inspector: Add font-variant-numeric to CSS autocompletions
Comment 8 Myles C. Maxfield 2016-03-28 08:51:58 PDT
Comment on attachment 274997 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=274997&action=review

> Source/WebInspectorUI/ChangeLog:3
> +        Web Inspector: Use font-variant-numeric: tabular-nuns instead of -apple-system-monospaced-numbers

I hope I don't cross any tabular-nuns during church! I think you mean tabular-nums.
Comment 9 Timothy Hatcher 2016-03-28 10:01:50 PDT
Created attachment 275026 [details]
Patch for Landing
Comment 10 WebKit Commit Bot 2016-03-28 11:01:40 PDT
Comment on attachment 275026 [details]
Patch for Landing

Clearing flags on attachment: 275026

Committed r198751: <http://trac.webkit.org/changeset/198751>
Comment 11 WebKit Commit Bot 2016-03-28 11:01:45 PDT
All reviewed patches have been landed.  Closing bug.